CMSIS-DSP: arm_biquad_cas_df1_32x64_ins_q31 Struct Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_biquad_cas_df1_32x64_ins_q31 Struct Reference

Instance structure for the high precision Q31 Biquad cascade filter. More...

## Data Fields

uint8_t | numStages
q63_t * | pState
const q31_t * | pCoeffs
uint8_t | postShift

## Description

Examples:
  arm_graphic_equalizer_example_q31.c.

## Field Documentation

uint8_t numStages

number of 2nd order stages in the filter. Overall order is 2*numStages.

const q31_t* pCoeffs

points to the array of coefficients. The array is of length 5*numStages.

uint8_t postShift

additional shift, in bits, applied to each output sample.

q63_t* pState

points to the array of state coefficients. The array is of length 4*numStages.